var EventosVar = {
    init: function() {
        $('.show_alert').change(function () {
            Utiles.showAlert(this);
        });
        $('.quitar_mv').click(function () {
            var num = $(this).data('mv-num');
            Cfgedit.quitarMV(this, num);
        });
        $('.agregar_mv').click(function () {
            Cfgedit.agregarMv();
            return false;
        });
        $('.mostrar_permitidos').click(function () {
            Cfgedit.mostrarPermitidos();
            return false;
        });

        var updateServer  = document.getElementsByName('UPDATE_SERVER')[0].value;
        var selectOptions = Array.from(document.getElementById('UPDATE_SERVER_SELECT').options);
        selectOptions = selectOptions.filter(function (option) {
            return updateServer == option.value;
        });
        if (selectOptions.length == 0) {
            $('#UPDATE_SERVER_SELECT').val('custom');
            $('#UPDATE_SERVER_GROUP').removeClass('hide-element');
            document.getElementById('UPDATE_SERVER_INPUT').value = updateServer;
        } else {
            $('#UPDATE_SERVER_SELECT').val(updateServer);
        }

        $('#UPDATE_SERVER_INPUT').on('blur', function () {
            document.getElementsByName('UPDATE_SERVER')[0].value = document.getElementById('UPDATE_SERVER_INPUT').value;
        });
        $('#UPDATE_SERVER_SELECT').on('change click blur', function () {
            if ($('#UPDATE_SERVER_SELECT').val() == 'custom') {
                $('#UPDATE_SERVER_GROUP').removeClass('hide-element');
            } else {
                $('#UPDATE_SERVER_GROUP').addClass('hide-element');
                document.getElementsByName('UPDATE_SERVER')[0].value = document.getElementById('UPDATE_SERVER_SELECT').value;
            }
            return false;
        });
    }
};

$(document).ready(function () {
    EventosVar.init();
});
